Package org.apache.lucene.analysis.hunspell

# Class AffixedWord.Affix

java.lang.Object
org.apache.lucene.analysis.hunspell.AffixedWord.Affix

Enclosing class:
  `AffixedWord`

public static final class AffixedWord.Affix extends Object
An object representing a prefix or a suffix applied to a word stem

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getFlag()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getFlag

    public String getFlag()
    Returns:
      the corresponding affix flag as it appears in the *.aff file. Depending on the format, it could be a Unicode character, two ASCII characters, or an integer in decimal form

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`